Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class BorderStyle

    java.lang.Object
      org.apache.poi.ss.usermodel.BorderStyle

    public class BorderStyle

extends java.lang.Object

The enumeration value indicating the line style of a border in a cell, i.e., whether it is borded dash dot, dash dot dot, dashed, dotted, double, hair, medium, medium dash dot, medium dash dot dot, medium dashed, none, slant dash dot, thick or thin.

Field Summary
`static BorderStyle` | `DASH_DOT` dash-dot border
`static BorderStyle` | `DASH_DOT_DOT` dash-dot-dot border
`static BorderStyle` | `DASHED` dash border
`static BorderStyle` | `DOTTED` hair-line border
`static BorderStyle` | `DOUBLE` double-line border
`static BorderStyle` | `HAIR` dot border
`static BorderStyle` | `MEDIUM` Medium border
`static BorderStyle` | `MEDIUM_DASH_DOT` medium dash-dot border
`static BorderStyle` | `MEDIUM_DASH_DOT_DOTC` medium dash-dot-dot border
`static BorderStyle` | `MEDIUM_DASHED` Medium dashed border
`static BorderStyle` | `NONE` No border
`static BorderStyle` | `SLANTED_DASH_DOT` slanted dash-dot border
`static BorderStyle` | `THICK` Thick border
`static BorderStyle` | `THIN` Thin border

Constructor Summary
`BorderStyle(int i)`

Method Summary
`int` | `getOrdinal()`
`static BorderStyle[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final BorderStyle NONE

  No border

### THIN

    public static final BorderStyle THIN

  Thin border

### MEDIUM

    public static final BorderStyle MEDIUM

  Medium border

### DASHED

    public static final BorderStyle DASHED

  dash border

### HAIR

    public static final BorderStyle HAIR

  dot border

### THICK

    public static final BorderStyle THICK

  Thick border

### DOUBLE

    public static final BorderStyle DOUBLE

  double-line border

### DOTTED

    public static final BorderStyle DOTTED

  hair-line border

### MEDIUM_DASHED

    public static final BorderStyle MEDIUM_DASHED

  Medium dashed border

### DASH_DOT

    public static final BorderStyle DASH_DOT

  dash-dot border

### MEDIUM_DASH_DOT

    public static final BorderStyle MEDIUM_DASH_DOT

  medium dash-dot border

### DASH_DOT_DOT

    public static final BorderStyle DASH_DOT_DOT

  dash-dot-dot border

### MEDIUM_DASH_DOT_DOTC

    public static final BorderStyle MEDIUM_DASH_DOT_DOTC

  medium dash-dot-dot border

### SLANTED_DASH_DOT

    public static final BorderStyle SLANTED_DASH_DOT

  slanted dash-dot border

Constructor Detail

### BorderStyle

    public BorderStyle(int i)

Method Detail

### getOrdinal

    public int getOrdinal()

### values

    public static BorderStyle[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD